package com.ruoyi.powerdistribution.service.impl;

import java.util.List;

import com.ruoyi.powerdistribution.domain.vo.PdmWorkCompleStatisticsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmWorkCompleStatisticsMapper;
import com.ruoyi.powerdistribution.domain.PdmWorkCompleStatistics;
import com.ruoyi.powerdistribution.service.IPdmWorkCompleStatisticsService;

/**
 * 工程量完成情况Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-22
 */
@Service
public class PdmWorkCompleStatisticsServiceImpl implements IPdmWorkCompleStatisticsService
{
    @Autowired
    private PdmWorkCompleStatisticsMapper pdmWorkCompleStatisticsMapper;

    /**
     * 查询工程量完成情况
     *
     * @param id 工程量完成情况主键
     * @return 工程量完成情况
     */
    @Override
    public PdmWorkCompleStatistics selectPdmWorkCompleStatisticsById(String id)
    {
        return pdmWorkCompleStatisticsMapper.selectPdmWorkCompleStatisticsById(id);
    }

    /**
     * 查询工程量完成情况列表
     *
     * @param pdmWorkCompleStatistics 工程量完成情况
     * @return 工程量完成情况
     */
    @Override
    public List<PdmWorkCompleStatistics> selectPdmWorkCompleStatisticsList(PdmWorkCompleStatistics pdmWorkCompleStatistics)
    {
        return pdmWorkCompleStatisticsMapper.selectPdmWorkCompleStatisticsList(pdmWorkCompleStatistics);
    }

    /**
     * 新增工程量完成情况
     *
     * @param pdmWorkCompleStatistics 工程量完成情况
     * @return 结果
     */
    @Override
    public int insertPdmWorkCompleStatistics(PdmWorkCompleStatistics pdmWorkCompleStatistics)
    {
        return pdmWorkCompleStatisticsMapper.insertPdmWorkCompleStatistics(pdmWorkCompleStatistics);
    }

    /**
     * 修改工程量完成情况
     *
     * @param pdmWorkCompleStatistics 工程量完成情况
     * @return 结果
     */
    @Override
    public int updatePdmWorkCompleStatistics(PdmWorkCompleStatistics pdmWorkCompleStatistics)
    {
        return pdmWorkCompleStatisticsMapper.updatePdmWorkCompleStatistics(pdmWorkCompleStatistics);
    }

    /**
     * 批量删除工程量完成情况
     *
     * @param ids 需要删除的工程量完成情况主键
     * @return 结果
     */
    @Override
    public int deletePdmWorkCompleStatisticsByIds(String[] ids)
    {
        return pdmWorkCompleStatisticsMapper.deletePdmWorkCompleStatisticsByIds(ids);
    }

    /**
     * 删除工程量完成情况信息
     *
     * @param id 工程量完成情况主键
     * @return 结果
     */
    @Override
    public int deletePdmWorkCompleStatisticsById(String id)
    {
        return pdmWorkCompleStatisticsMapper.deletePdmWorkCompleStatisticsById(id);
    }

    @Override
    public List<PdmWorkCompleStatisticsVO> selectPdmWorkCompleStatistics(PdmWorkCompleStatistics pdmWorkCompleStatistics) {
        return pdmWorkCompleStatisticsMapper.selectPdmWorkCompleStatistics(pdmWorkCompleStatistics);
    }
}
